import 'package:equatable/equatable.dart';

class User extends Equatable {
  
  final String accountNo;
  final String accountType;
  final String bookingNumber;
  final String branchId;
  final String currency;
  final String? productType;
  final String? approvedAmount;
  final String availableBalance;
  final String currentBalance;
  final String name;
  final String mobileNo;
  final String address;
  final String picode;
  
  const User({
    required this.accountNo,
    required this.accountType,
    required this.bookingNumber,
    required this.branchId,
    required this.currency,
    this.productType,
    this.approvedAmount,
    required this.availableBalance,
    required this.currentBalance,
    required this.name,
    required this.mobileNo,
    required this.address,
    required this.picode,
  });
  
  factory User.fromJson(Map<String, dynamic> json) {
    return User(
      accountNo: json['stAccountNo'],
      accountType: json['stAccountType'],
      bookingNumber: json['stBookingNumber'],
      branchId: json['stBranchId'],
      currency: json['stCurrency'],
      productType: json['stProductType'],
      approvedAmount: json['stApprovedAmount'],
      availableBalance: json['stAvailableBalance'],
      currentBalance: json['stCurrentBalance'],
      name: json['custname'],
      mobileNo: json['mobileno'],
      address: json['custaddress'],
      picode: json['picode'],
    );
  }
  
  @override
  List<Object?> get props => [accountNo, accountType, bookingNumber, branchId, currency, productType, approvedAmount, availableBalance, currentBalance, name, mobileNo, address, picode];
}
